KDE 4.9 PyKDE API Reference

- KDE's Python API

# DvbInterface Class Reference

`from PyKDE4.solid import *`

Inherits: Solid.DeviceInterface → QObject
Namespace: Solid

## Detailed Description

This device interface is available on Digital Video Broadcast (DVB) devices.

A DVB device is a device implementing the open standards for digital television maintained by the DVB Project It is possible to interact with such a device using a special device file in the system.

## Enumerations

DeviceType | { DvbUnknown, DvbAudio, DvbCa, DvbDemux, DvbDvr, DvbFrontend, DvbNet, DvbOsd, DvbSec, DvbVideo }

## Methods

| __init__ (self, QObject backendObject)
QString | device (self)
int | deviceAdapter (self)
int | deviceIndex (self)
Solid.DvbInterface.DeviceType | deviceType (self)

## Static Methods

Solid.DeviceInterface.Type | deviceInterfaceType ()

## Method Documentation

__init__ | ( | self, |
|  | QObject | backendObject
| ) |  |  |

Creates a new DvbInterface object. You generally won't need this. It's created when necessary using Device.as().

Parameters:

  | backendObject | the device interface object provided by the backend

See also:
  Solid.Device.as()

QString device | ( |  | self ) |

Retrieves the absolute path of the special file to interact with the device.

Returns:
  the absolute path of the special file to interact with the device

int deviceAdapter | ( |  | self ) |

Retrieves the adapter number of this dvb device. Note that -1 is returned in the case the adapter couldn't be determined.

Returns:
  the adapter number of this dvb device or -1

int deviceIndex | ( |  | self ) |

Retrieves the index of this dvb device. Note that -1 is returned in the case the device couldn't be identified (deviceType() == DvbUnknown).

Returns:
  the index of this dvb device or -1

See also:
  Solid.DvbInterface.deviceType

Solid.DvbInterface.DeviceType deviceType | ( |  | self ) |

Retrieves the type of this dvb device.

Returns:
  the device type of this dvb device

See also:
  Solid.DvbInterface.DeviceType

## Static Method Documentation

Solid.DeviceInterface.Type deviceInterfaceType | ( |  | ) |

Get the Solid.DeviceInterface.Type of the DvbInterface device interface.

Returns:
  the DvbInterface device interface type

See also:
  Solid.Ifaces.Enums.DeviceInterface.Type

## Enumeration Documentation

DeviceType

This enum type defines the type of a dvb device.

- DvbAudio : An audio device. - DvbCa : A common access device. - DvbDemux : A demultiplexer device. - DvbDvr : A dvr device. - DvbFrontend : A frontend device. - DvbNet : A network device. - DvbOsd : An osd device. - DvbSec : A sec device. - DvbVideo : A video device. - DvbUnknown : An unidentified device.

Enumerator:

  DvbUnknown |
  DvbAudio |
  DvbCa |
  DvbDemux |
  DvbDvr |
  DvbFrontend |
  DvbNet |
  DvbOsd |
  DvbSec |
  DvbVideo |